Comment installer Wine 6.3 dans Ubuntu 18.04 / 20.04 / 20.10

Vin Stable

L'équipe Wine a annoncé la nouvelle version de développement Wine 6.3 avec de nouvelles fonctionnalités et diverses corrections de bogues.

Vin 6.3 fonctionnalités:

  • Meilleure prise en charge du débogueur dans l'interface syscall NT.
  • Bibliothèque WineGStreamer convertie en PE.
  • Encore plus de support WinRT dans WIDL.
  • Prise en charge facultative des ID de build.

Et il existe diverses corrections de bogues pour Windows des applications telles que py2exe, Achieve Planner 1.9.0, iTunes 32 bits 12.1.3.6, WRC 4, etc.

Comment installer Wine 6.3 dans Ubuntu:

L'équipe Wine a créé les packages Linux pour Ubuntu 18.04, Ubuntu 20.04 et Ubuntu 20.10. Et vous pouvez l'installer en suivant les étapes ci-dessous une par une.

Ouvrez le terminal soit en appuyant sur Ctrl + Alt + T sur le clavier, soit en recherchant «terminal» dans le menu de l'application système. Lorsqu'il s'ouvre, exécutez les étapes suivantes une par une.

Installer la version Wine Development via les commandes suivantes remplacera le dernier package de version stable de Wine s'il est installé.

1.) Exécutez la commande pour activer l'architecture 32 bits (si vous ne l'avez pas):

sudo dpkg --add-architecture i386

Tapez le mot de passe de l'utilisateur (pas de rétroaction astérisque) lorsqu'il vous le demande et appuyez sur Entrée pour continuer.

2.) Installez la clé de référentiel en exécutant la commande:

wget -O - https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key ajouter -

3.) Ajoutez le référentiel de vin via la commande:

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main'

IMPORTANT: dans cette commande, vous devez remplacer focal par:

  • focal pour Ubuntu 20.04, Linux Mint 20.x
  • groovy pour Ubuntu 20.10.
  • bionic pour Ubuntu 18.04 et Linux Mint 19.x

Vous ne connaissez pas l'édition de votre système? Courir lsb_release -a commande dans le terminal pour vérifier.

4.) Pour Ubuntu 18.04 et Linux Mint 19.x uniquement, la bibliothèque libfaudio0 est requise pour être installée à partir d'un référentiel tiers en exécutant la commande:

sudo add-apt-repository ppa: cybermax-dexter / sdl2-backport

5.) Enfin, installez Wine 6.3 via la commande:

sudo apt update && sudo apt install --install-recommande winehq-devel

Si vous rencontrez un problème de dépendance non satisfait, essayez plutôt la commande aptitude:

sudo apt installer aptitude && sudo aptitude installer winehq-devel

Désinstaller wine:

Vous pouvez supprimer le PPA en lançant l'utilitaire Software & Updates et en accédant à l'onglet Other Software.

Pour supprimer wine 6.3, exécutez la commande dans le terminal:

sudo apt remove --auto-remove winehq-devel

Article original